Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.mail.inflow
Class MailActivationSpec

    java.lang.Object
      org.jboss.resource.adapter.mail.inflow.MailActivationSpec

All Implemented Interfaces:
  javax.resource.spi.ActivationSpec, javax.resource.spi.ResourceAdapterAssociation, Serializable

public class MailActivationSpec
extends Object
implements javax.resource.spi.ActivationSpec, Serializable

The encapsulation of the mail folder endpoint specification

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`MailActivationSpec()`

Method Summary
`String` | `getMailFolder()`
`String` | `getMailServer()`
`int` | `getMaxMessages()`
`String` | `getMessageSelector()`
`String` | `getPassword()`
`long` | `getPollingInterval()`
`javax.resource.spi.ResourceAdapter` | `getResourceAdapter()`
`String` | `getStoreProtocol()`
`String` | `getUserName()`
`void` | `setMailFolder(String mailFolder)`
`void` | `setMailServer(String mailServer)`
`void` | `setMaxMessages(int maxMessages)`
`void` | `setMessageSelector(String messageSelector)`
`void` | `setPassword(String password)`
`void` | `setPollingInterval(long pollingInterval)`
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter ra)`
`void` | `setStoreProtocol(String storeProtocol)`
`void` | `setUserName(String userName)`
`String` | `toString()`
`void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MailActivationSpec

    public MailActivationSpec()

Method Detail

### getMailServer

    public String getMailServer()

### setMailServer

    public void setMailServer(String mailServer)

### getStoreProtocol

    public String getStoreProtocol()

### setStoreProtocol

    public void setStoreProtocol(String storeProtocol)

### getMailFolder

    public String getMailFolder()

### setMailFolder

    public void setMailFolder(String mailFolder)

### getMessageSelector

    public String getMessageSelector()

### setMessageSelector

    public void setMessageSelector(String messageSelector)

### getUserName

    public String getUserName()

### setUserName

    public void setUserName(String userName)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getPollingInterval

    public long getPollingInterval()

### setPollingInterval

    public void setPollingInterval(long pollingInterval)

### getMaxMessages

    public int getMaxMessages()

### setMaxMessages

    public void setMaxMessages(int maxMessages)

### getResourceAdapter

    public javax.resource.spi.ResourceAdapter getResourceAdapter()

  Specified by:
    `getResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter ra)
                            throws javax.resource.ResourceException

  Specified by:
    `setResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`
  Throws:
    `javax.resource.ResourceException`

### validate

    public void validate()
                  throws javax.resource.spi.InvalidPropertyException

  Specified by:
    `validate` in interface `javax.resource.spi.ActivationSpec`
  Throws:
    `javax.resource.spi.InvalidPropertyException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.